> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yieldo.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transfer Status



## OpenAPI

````yaml https://api.yieldo.xyz/openapi.json get /v1/status
openapi: 3.1.0
info:
  title: Yieldo API
  description: Cross-chain deposit aggregator for ERC-4626 and custom yield vaults
  version: 1.0.0
servers:
  - url: https://api.yieldo.xyz
    description: Production
security: []
paths:
  /v1/status:
    get:
      tags:
        - status
      summary: Get Transfer Status
      operationId: get_transfer_status_v1_status_get
      parameters:
        - name: tx_hash
          in: query
          required: true
          schema:
            type: string
            description: Source chain transaction hash
            title: Tx Hash
          description: Source chain transaction hash
        - name: from_chain_id
          in: query
          required: true
          schema:
            type: integer
            description: Source chain ID
            title: From Chain Id
          description: Source chain ID
        - name: to_chain_id
          in: query
          required: true
          schema:
            type: integer
            description: Destination chain ID
            title: To Chain Id
          description: Destination chain ID
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    StatusResponse:
      properties:
        status:
          type: string
          title: Status
        substatus:
          anyOf:
            - type: string
            - type: 'null'
          title: Substatus
        sending:
          anyOf:
            - $ref: '#/components/schemas/SendingInfo'
            - type: 'null'
        receiving:
          anyOf:
            - $ref: '#/components/schemas/ReceivingInfo'
            - type: 'null'
        bridge:
          anyOf:
            - type: string
            - type: 'null'
          title: Bridge
        lifi_explorer:
          anyOf:
            - type: string
            - type: 'null'
          title: Lifi Explorer
      type: object
      required:
        - status
      title: StatusResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SendingInfo:
      properties:
        tx_hash:
          anyOf:
            - type: string
            - type: 'null'
          title: Tx Hash
        tx_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Tx Link
        amount:
          anyOf:
            - type: string
            - type: 'null'
          title: Amount
        chain_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Chain Id
      type: object
      title: SendingInfo
    ReceivingInfo:
      properties:
        tx_hash:
          anyOf:
            - type: string
            - type: 'null'
          title: Tx Hash
        tx_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Tx Link
        amount:
          anyOf:
            - type: string
            - type: 'null'
          title: Amount
        chain_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Chain Id
      type: object
      title: ReceivingInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````